package com.cyksj.service.relation;

import cn.hutool.json.JSONObject;
import com.cyksj.model.request.NfDeviceReq;

import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * 项目名: yhlxj2
 * 文件名: GroupsRelationNetflixService
 * 创建者: JavaZou
 * 创建时间:2024/6/17 15:44
 */
public interface GroupsRelationNetflixService {

	JSONObject setNetflixSeatNum(Integer seatNum, String seatName, String account, String password, Date expiryTime, String code);

	JSONObject setNetflixPin(Long relationId, long userId, String code);

	Integer getPinStatus(String taskId) throws Exception;

	Boolean confirmUpdate(String nfUrl);

	/**
	 * 定时设置奈飞座位号
	 */
	void timingSetNetflix(Integer num, String nickname, String account, String password, Date expiryTime, AtomicInteger start);

	JSONObject nfKickOut(long userId, Long relationId);

	void clickNfHouseholdDevice(NfDeviceReq nfDeviceReq);
}
